## net.i2p.router.web
Class ConfigClientsHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ConfigClientsHelper

    public class ConfigClientsHelper

extends HelperBase

Field Summary
`static String` `BIND_ALL_INTERFACES` from ClientListenerRunner
`static String` `PROP_AUTH` from ClientMessageEventListener
`static String` `PROP_DISABLE_EXTERNAL` from ClientManager
`static String` `PROP_ENABLE_SSL`
`static String` `PROP_PW`
`static String` `PROP_USER`

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ConfigClientsHelper()`

Method Summary
`String` `getAuth()`
`String` `getForm1()`
`String` `getForm2()`
`String` `getForm3()`
`String` `getPort()`
`String` `getPw()`
`String` `getUser()`
`String` `i2cpModeChecked(int mode)`
`String[]` `intfcAddresses()`
`boolean` `isIFSelected(String addr)`
`void` `setEdit(String edit)`
`boolean` `showPlugins()`
`(package private) static String` `stripHTML(Properties props, String key)` Like in DataHelper but doesn't convert null to "" There's a lot worse things a plugin could do but...

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _x, ngettext, setContextId, storeWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIND_ALL_INTERFACES

    public static final String BIND_ALL_INTERFACES

  from ClientListenerRunner

  See Also:
    Constant Field Values

### PROP_DISABLE_EXTERNAL

    public static final String PROP_DISABLE_EXTERNAL

  from ClientManager

  See Also:
    Constant Field Values

### PROP_ENABLE_SSL

    public static final String PROP_ENABLE_SSL

See Also:
  Constant Field Values

### PROP_AUTH

    public static final String PROP_AUTH

  from ClientMessageEventListener

  See Also:
    Constant Field Values

### PROP_USER

    public static final String PROP_USER

See Also:
  Constant Field Values

### PROP_PW

    public static final String PROP_PW

See Also:
  Constant Field Values

Constructor Detail

### ConfigClientsHelper

    public ConfigClientsHelper()

Method Detail

### getPort

    public String getPort()

  Since:
    0.8.3

### getUser

    public String getUser()

  Since:
    0.8.3

### getPw

    public String getPw()

  Since:
    0.8.3

### i2cpModeChecked

    public String i2cpModeChecked(int mode)

  Since:
    0.8.3

### getAuth

    public String getAuth()

  Since:
    0.8.3

### intfcAddresses

    public String[] intfcAddresses()

  Since:
    0.8.3

### isIFSelected

    public boolean isIFSelected(String addr)

  Since:
    0.8.3

### setEdit

    public void setEdit(String edit)

### getForm1

    public String getForm1()

### getForm2

    public String getForm2()

### showPlugins

    public boolean showPlugins()

### getForm3

    public String getForm3()

### stripHTML

    static String stripHTML(Properties props,
                            String key)

  Like in DataHelper but doesn't convert null to "" There's a lot worse things a plugin could do but...